
%global srcname simplevisor

Name:		python-simplevisor
Version:	1.3
Release:    2%{?dist}
Summary:	Python simple daemons supervisor
License:	ASL 2.0
URL:		https://github.com/cern-mig/%{name}
Source0:        http://pypi.python.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel, python3-setuptools
BuildRequires:	perl-generators
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(No::Worries)
BuildRequires:	perl(No::Worries::Die)
BuildRequires:	perl(No::Worries::Log)
BuildRequires:	perl(No::Worries::PidFile)
BuildRequires:	perl(No::Worries::Proc)
BuildRequires:	perl(No::Worries::Syslog)
BuildRequires:	perl(No::Worries::Warn)
BuildRequires:	perl(Pod::Usage)
BuildRequires:	perl(sigtrap)
BuildRequires:	perl(strict)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(warnings)

%global _description\
Simplevisor is a simple daemons supervisor, it is inspired by\
Erlang OTP and it can supervise hierarchies of services.

%description %_description

%package -n python3-simplevisor
Summary:	Python simple daemons supervisor

%description -n python3-simplevisor
Simplevisor is a simple daemons supervisor, it is inspired by
Erlang OTP and it can supervise hierarchies of services.

%prep
%setup -q -n %{srcname}-%{version}
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build 
%{__python3} setup.py build

%install
rm -fr %{buildroot}
%{__python3} setup.py install --with-data-files --skip-build --root %{buildroot}
install -D -m 644 man/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{srcname}.1;
install -D -m 644 man/%{srcname}-control.1 %{buildroot}%{_mandir}/man1/%{srcname}-control.1;
install -D -m 644 man/%{srcname}-loop.1 %{buildroot}%{_mandir}/man1/%{srcname}-loop.1;

%check
%{__python3} setup.py test
rm -f test/*.pyc

%files -n python3-simplevisor
%doc LICENSE README.rst CHANGES
%{_mandir}/man?/%{srcname}.1*
%{_mandir}/man?/%{srcname}-control.1*
%{_mandir}/man?/%{srcname}-loop.1*
%attr(755, root, root) /usr/bin/simplevisor
%attr(755, root, root) /usr/bin/simplevisor-control
%attr(755, root, root) /usr/bin/simplevisor-loop
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{srcname}/

%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-1
- initial build
